## ignition-fuel-tools6 6.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-fuel_tools6 VERSION 6.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find libcurl
ign_find_package(IgnCURL REQUIRED PRIVATE)

#--------------------------------------
# Find jsoncpp
ign_find_package(JSONCPP REQUIRED PRIVATE)

#--------------------------------------
# Find libyaml
ign_find_package(YAML REQUIRED PRIVATE)

#--------------------------------------
# Find libzip
ign_find_package(ZIP REQUIRED PRIVATE)

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED PRIVATE)
set(IGN_COMMON_MAJOR_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs7 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-msgs7_VERSION_MAJOR})

#--------------------------------------
# Find ignition-tools
find_program(HAVE_IGN_TOOLS ign)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
  )

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the Ignition Fuel Tools library
find_package(ignition-fuel_tools6 QUIET REQUIRED)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-FUEL-TOOLS_CXX_FLAGS}")
include_directories(
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-FUEL_TOOLS_INCLUDE_DIRS}
)
link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-FUEL_TOOLS_LIBRARY_DIRS}
)

# GFlags
find_library(gflags_LIBRARIES NAMES gflags)
find_path(gflags_INCLUDE_DIRS gflags/gflags.h ENV CPATH)
if (NOT gflags_LIBRARIES OR NOT gflags_INCLUDE_DIRS)
  message (STATUS "Unable to compile 'bench.cc', missing GFLags library")
else()
  include_directories(SYSTEM ${gflags_INCLUDE_DIRS})
endif()

# Generate examples
if (EXISTS "${CMAKE_SOURCE_DIR}/list.cc")
  add_executable(list list.cc)
  target_link_libraries(list
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/download.cc")
  add_executable(download download.cc)
  target_link_libraries(download
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/details.cc")
  add_executable(details details.cc)
  target_link_libraries(details
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (MSVC)

  # Don't pull in the Windows min/max macros
  add_definitions(-DNOMINMAX)

endif()

=== debian/changelog ===
ignition-fuel-tools6 (6.1.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 18 Oct 2021 10:47:55 -0700

ignition-fuel-tools6 (6.0.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 14:16:06 -0700

ignition-fuel-tools6 (6.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-fuel-tools6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:32:04 -0700

ignition-fuel-tools6 (5.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Oct 2020 00:52:56 +0200

=== debian/control ===
Source: ignition-fuel-tools6
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.8.0),
               libignition-common4-core-dev,
               libignition-msgs7-dev,
               libignition-tools-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libtinyxml2-dev
Vcs-Browser: https://github.com/ignition-release/ign-fuel-tools6-release
Vcs-Git: https://github.com/ignition-release/ign-fuel-tools6-release
Homepage: http://ignitionrobotics.org/

Package: libignition-fuel-tools6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         ignition-tools
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Shared library
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-fuel-tools6-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
       libignition-common4-core-dev,
       libignition-msgs7-dev,
       libignition-tools-dev,
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev,
       libyaml-dev,
       libtinyxml2-dev,
       libignition-fuel-tools6 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Development files
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

## ignition-fuel-tools6 6.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools6 VERSION 6.1.0)
+project(ignition-fuel_tools6 VERSION 6.2.0)
 
 #============================================================================
 # Find ignition-cmake

=== debian/changelog ===
ignition-fuel-tools6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools6 6.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 28 Mar 2022 08:55:59 -0700

ignition-fuel-tools6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 18 Oct 2021 10:47:55 -0700

ignition-fuel-tools6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 14:16:05 -0700

ignition-fuel-tools6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-fuel-tools6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:32:03 -0700

ignition-fuel-tools6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Oct 2020 00:52:56 +0200
